@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/* カバーブロック用：インナーブロックの中央寄せを追加 */
.cstm-blk-fullwide-inner {
    width: 100vw;
    margin: 0 calc(50% - 50vw);
    padding: 0 calc(50vw - 50%);
}

/* dot */
.cocoon-custom-text-1 {
  text-emphasis-style: dot;
  --custom-text-1-color: currentColor;
  text-emphasis-color: var(--custom-text-1-color);
}

/* dot-haku */
.cocoon-custom-text-2 {
  text-emphasis-style: dot;
  --custom-text-2-color: #FFDE59;
  text-emphasis-color: var(--custom-text-2-color);
}

/* dot-sis */
.cocoon-custom-text-3 {
  text-emphasis-style: dot;
  --custom-text-3-color: #CAE7C5;
  text-emphasis-color: var(--custom-text-3-color);
}

/* 下線（２重） */
.cocoon-custom-text-4 {
  text-decoration-line: underline;
  text-decoration-style: double;
  --custom-text-4-color: currentColor;
  text-decoration-color: var(--custom-text-4-color);
  text-decoration-thickness: 1px;
  text-underline-offset: 4px;
}

/* 下線 斜めストライプ-haku */
.cocoon-custom-text-5 {
  --custom-text-5-color: #FFDE59;
  border-image: repeating-linear-gradient(-50deg, var(--custom-text-5-color), var(--custom-text-5-color) 2px, transparent 0, transparent 4px) 10/0 0 5px 0;
  border-style: solid;
  padding-bottom: 4px;
}

/* 下線 斜めストライプ-sis */
.cocoon-custom-text-6 {
  --custom-text-6-color: #CAE7C5;
  border-image: repeating-linear-gradient(-50deg, var(--custom-text-6-color), var(--custom-text-6-color) 2px, transparent 0, transparent 4px) 10/0 0 5px 0;
  border-style: solid;
  padding-bottom: 4px;
}

/*==========削除項目==========
更新日付、スマホ下のボタン、footerロゴ
==============================*/
div.date-tags {
	display: none;
}

ul.mobile-footer-menu-buttons {
	display: none;
}

div.footer-bottom-logo {
	display: none;	
}

/*==========共通スタイル========*/
h4.wp-block-heading {
	position: relative;
	display: inline-block;
	margin: 1em 0 2em;
	padding: 0.9em 1.5em !important;
	min-width: 200px;
	font-size: 120%;
	font-weight: bold;
	text-align: center;
	background-color: rgba(255,222,89,0.5);
}

h4.wp-block-heading::before {
	display: none;
}

h4.wp-block-heading::after {
	display: block;
	content: "";
	position: absolute;
	top: 100%;
	left: 50%;
	margin-left: -15px;
	border: 12px solid transparent;
	border-top: 12px solid #FFDE59;
}

.article h5{
	border-bottom:none;	
}

.link-box a {
	padding-left: 40px;
	background: url("https://hakuyoga.com/wp-content/uploads/link_page-box.png") 1em center/15px auto no-repeat;
}

.link-box a:hover {
	color: #FFF;
	text-decoration: underline;
}

.gotopage {
	padding-left: 20px;
	background: url("https://hakuyoga.com/wp-content/uploads/link_page.png") left center/15px auto no-repeat;
}

.pagedn {
	padding-left: 30px;
	background: url("https://hakuyoga.com/wp-content/uploads/link_anchor.png") left center/15px auto no-repeat;
}

.tab-label-group .tab-label{
	font-size: 150%;
	font-weight: bold;
	font-family:  var(--cocoon-default-font);
}

.tab-label-group .tab-label.is-active {
	background-color: #EFEFEF;
}

.is-active::after {
	background-color: #484848 !important;
}

.skin-grayish .gray-tab-style-up .tab-label-group .tab-label {
	background-color: #000000 !important;
}
	
/*==========Sis専用スタイル==========
みどり色
==============================*/
h2.sis-color-h2::before {
	border-bottom-color: #CAE7C5;
}

h3.sis-color-h3::before {
	border-left-color: #CAE7C5;
	border-bottom-color: #CAE7C5;
}

h4.sis-color-h4 {
	background-color: rgba(202,231,197,0.5);
}

h4.sis-color-h4::after {
	border-top: 12px solid #CAE7C5;
}

a.sis-link:hover {
	color: #8DBD85;
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
